
# spring-cloud相关配置
eureka:
  client:                                   #客户端注册进eureka服务列表内
    service-url:
      #       defaultZone:                          http://192.168.20.235:8080/cloud-center/eureka
      defaultZone:                          http://127.0.0.1:8761/eureka
  instance:
    # 实例ID
    # instance-id:                            ${spring.application.name}:${server.port}:${project.version}
    # 优先使用IP地址方式进行注册服务
    prefer-ip-address:                      true

#启用监控
management:
  endpoints:
    web:
      exposure:
        include:
          - "*"  # 开放所有端点health，info，metrics，通过actuator/+端点名就可以获取相应的信息。默认打开health和info
  endpoint:
    health:
      #未开启actuator/health时，我们获取到的信息是{"status":"UP"}，status的值还有可能是 DOWN。开启后打印详细信息
      show-details:                       always



server:
  port: 8088

spring:
  datasource:
    name:                               datacenter
    type:                               com.alibaba.druid.pool.DruidDataSource
    driver-class-name:                  org.postgresql.Driver
#    url:                                jdbc:postgresql://60.205.177.43:5432/datacenterlabsl
    url:                                jdbc:postgresql://192.168.64.15:5432/datacenter
#    url:                                jdbc:postgresql://39.102.40.239:5432/datacenter
    username:                           postgres
#    password:                           persagy_2020qwe!@#
    password:                           cGVyc2FneV8yMDIwcXdlIUAj

  servlet:
    multipart:
      max-request-size:                500MB        # 限制上传的多个文件的总大小
      max-file-size:                   500MB        # 限制单个文件的最大值

    #配置rabbitMq 服务器
#  rabbitmq:
#    host: 192.168.64.15
#    port: 9936
#    username: admin
#    password: brzj123456
#    #虚拟host 可以不设置,使用 server 默认 host
#    virtual-host: /test

#  rabbitmq:
#    host: 39.102.43.179
#    port: 9936
#    username: admin
#    password: brzj123456
#    #虚拟host 可以不设置,使用server默认host
#    virtual-host: /test



mqtopid: # 消息
  exchange:                           exchange-dmp
  routingKey:                         routingKey-center-adm
  admQueue:                           queue-center-adm
  synQueue:                           queue-center-syn
  routingKey01:                       routing-dmp-rwd
  routingKey02:                       routing-dmp-org




